﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_PEBPartialScript")
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopUpPEBDetail";
    settings.CallbackRouteValues = new { Controller = "PEB", Action = "PopUpDetail" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopup";
    settings.ClientSideEvents.EndCallback = "OnEndCallbackPopup";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 460;
    settings.MinHeight = 250;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(800);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "PEB Detail";
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopUpPEBSegment";
    settings.CallbackRouteValues = new { Controller = "PEB", Action = "PopUpSegment" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopupSegment";
    settings.ClientSideEvents.EndCallback = "OnEndCallbackPopupSegment";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = false;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 520;
    settings.MinHeight = 520;
    settings.MaxHeight = 520;
    settings.ScrollBars = ScrollBars.Auto;
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(90);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "PEB Creation";
}).GetHtml()
<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr>
                <td style="width: 100px">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Register No";
                    label.Height = 25;
                }).GetHtml()
                    @Html.DevExpress().TextBox(hsettings =>
                    {
                        hsettings.Name = "Process_ID2";
                        hsettings.ClientVisible = false;
                    }).GetHtml()
                </td>
                <td style="width: 100px" align="left">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_REGISTER_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 25;
              }).GetHtml()
                </td>
                <td style="width: 100px">
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Register Date";
                }).GetHtml()
                </td>
                <td style="width: 100px" align="left">
                    @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_REGISTER_DT_FROM";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                    settings.Properties.DisplayFormatInEditMode = true;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                    settings.Width = 110;
                    settings.Properties.ClientSideEvents.DateChanged = "I_REGISTER_DT_FROM_OnChanged";
                }).GetHtml()
                </td>
                <td style="width: 30px" align="center">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "To";
                }).GetHtml()
                </td>
                <td style="width: 100px" align="left">
                    @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_REGISTER_DT_TO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                    settings.Properties.DisplayFormatInEditMode = true;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                    settings.Properties.ClientSideEvents.DateChanged = "I_REGISTER_DT_TO_OnChanged";
                    settings.Width = 110;
                }
                ).GetHtml()
                </td>
                <td style="width: 100px">
                </td>
                <td style="width: 100px">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice No";
                    label.Height = 25;
                }).GetHtml()
                </td>
                <td style="width: 100px" align="left">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_INVOICE_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 25;
              }).GetHtml()
                </td>
                <td style="width: 15%" align="left">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td style="width: 750px" align="left" colspan="11">
                </td>
                <td style="width: 100px" align="right">
                    @Html.DevExpress().Button(
                cmdSearch =>
                {
                    cmdSearch.Name = "cmdSearch";
                    cmdSearch.Text = "Search";
                    cmdSearch.Width = 110;
                    cmdSearch.ClientSideEvents.Click = "OnSearch";
                    cmdSearch.Style.Add("display", "inline-table");
                    cmdSearch.UseSubmitBehavior = true;
                    cmdSearch.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PEB", "FTR-SPEX-42-01", "SEARCH");
                }
                ).GetHtml()
                </td>
                <td style="width: 100px" align="right">
                    @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 110;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PEB", "FTR-SPEX-42-01", "CLEAR");
                }
                ).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>
    <fieldset>
        <table width="100%">
            <tr>
                <td style="width: 8%" align="left">
                    @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdSendData";
                    print.Width = 110;
                    print.Text = "Send To PEB";
                    print.ClientSideEvents.Click = "OnSendData";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PEB", "FTR-SPEX-42-02", "SEND TO PEB");
                }
                ).GetHtml()
                </td>
                <td style="width: 8%" align="center">
                    &nbsp;
                </td>
                <td style="width: 74%" align="left">
                    &nbsp;
                </td>
                <td style="width: 10%" align="right">
                    @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdDeleteData";
                    print.Width = 110;
                    print.Text = "Delete Data";
                    print.ClientSideEvents.Click = "OnDeleteData";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PEB", "FTR-SPEX-42-02", "DELETE DATA");
                }
                ).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>
</div>
<div class="content">
    @Html.Partial("PEBGrid")
</div>
